[pbuilder-dist] doesn't autocomplete directory path

Bug #770529 reported by Julien Lavergne on 2011-04-25
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
PBuilder
Fix Released
Unknown
Ubuntu Developer Tools
Fix Released
Unknown
pbuilder (Ubuntu)
Low
Unassigned
Oneiric
Undecided
Unassigned
ubuntu-dev-tools (Ubuntu)
Low
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: ubuntu-dev-tools

Using Ubuntu natty, with ubuntu-dev-tools 0.122

When I type "pbuilder-dist natty build ../build-a" + tabulation, I expect that it will autocomplete to "build-area", but it doesn't.
It correctly autocomplete .dsc file name, once I type the complete path (here "../build-area/")

Benjamin Drung (bdrung) wrote :

The same applies to pbuilder itself.

Changed in ubuntu-dev-tools (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Benjamin Drung (bdrung) on 2011-09-03
summary: - pbuilder-dist doesn't autocomplete directory path
+ [pbuilder-dist] doesn't autocomplete directory path
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pbuilder (Ubuntu):
status: New → Confirmed
Maarten Bezemer (veger) wrote :

THe problem is that the auto-completion script assumes that the command have -- in front of them. When using 'pbuilder --build' filename completion does work.

Benjamin Drung (bdrung) wrote :

The attached patch fixes the filename completion if you drop the "--" from the command. "pbuilder build" will have the same completion than "pbuilder --build". This still does not fix the directory completion.

tags: added: patch
Benjamin Drung (bdrung) wrote :

The development series (currently precise) needs to get fixed. After that, you can fix the stable release with a SRU [1]. Please forward your patch to Debian to get it included there as well.

[1] https://wiki.ubuntu.com/StableReleaseUpdates

Maarten Bezemer (veger) wrote :

Heh... I am still new to fixing bugs...

So if I understand correctly, I created my branch with the updates for the wrong series? And therefore asked for a merge proposal on the wrong series as well?

Is it the best way, to create a new branch (branched of from the development series) with the changes added and ask for a new merge proposal? Or to leave it as it is and let the person performing the merge (assuming it gets accepted), merge it with the development series?

Furthermore, I'll see to forward to patch to Debian (also new for me...)

Thanks for your comments

Benjamin Drung (bdrung) wrote :

The best way is to create a new branch (branched from ubuntu:pbuilder) with your changes added and ask for a new merge proposal. You could additional update your merge proposal for oneiric to follow the SRU requirements (version string number, oneiric-proposed instead of oneiric, etc).

Philip Muškovac (yofel) wrote :

Setting triaged on Maarten's request.

Changed in pbuilder (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Changed in pbuilder:
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pbuilder - 0.204ubuntu2

---------------
pbuilder (0.204ubuntu2) precise; urgency=low

  * Auto complete filenames not working when not adding -- to the command
    (Closes: #659581, LP: #770529)
  * Add directories to filename auto completion
 -- Maarten Bezemer <email address hidden> Sun, 12 Feb 2012 15:19:43 +0100

Changed in pbuilder (Ubuntu):
status: Triaged → Fix Released
Maarten Bezemer (veger) wrote :

Any chance that it will be accepted to oneiric-proposed or would it be a waste of my time to create a merge request for it?

Benjamin Drung (bdrung) wrote :

It worth a SRU preparation.

Maarten Bezemer (veger) wrote :

@bdrung: I created a new branch for oneiric with the fix (including your changes). But when I try to push to the changes to lp:~veger/ubuntu/oneiric-proposed/pbuilder/fix-for-770529 it get the following error:

  ERROR: Permission denied: "~veger/ubuntu/oneiric-proposed/pbuilder/fix-for-770529/": : No such distribution series: 'oneiric-proposed'.

How am I supposed to create a branch for oneiric-proposed? I cannot find the solution in https://wiki.ubuntu.com/StableReleaseUpdates

Benjamin Drung (bdrung) wrote :

That's a bug in Launchpad. The oneiric-proposed series will be created with the first upload to oneiric-proposed. IIRC, the workaround is to propose the merge into oneiric instead. As alternative, you can attach a debdiff to this bug report (which is my personal preference for SRUs).

Maarten Bezemer (veger) wrote :

Here is my debdiff of the fix to merge with oneiric-proposed

Benjamin Drung (bdrung) wrote :

I changed the version string to 0.199+nmu3ubuntu3.1 and uploaded it to oneiric-proposed.

Changed in pbuilder (Ubuntu Oneiric):
status: New → Fix Committed
Maarten Bezemer (veger) wrote :

Thanks for all your help and explainations!

Hello Julien, or anyone else affected,

Accepted pbuilder into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Maarten Bezemer (veger) wrote :

These changes work for me with the oneiric-proposed version

Changed in pbuilder:
status: New → Fix Released
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pbuilder - 0.199+nmu3ubuntu3.1

---------------
pbuilder (0.199+nmu3ubuntu3.1) oneiric-proposed; urgency=low

  * Auto complete filenames not working when not adding -- to the command
    (Closes: #659581, LP: #770529)
  * Add directories to filename auto completion
 -- Maarten Bezemer <email address hidden> Mon, 13 Feb 2012 11:09:28 +0100

Changed in pbuilder (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Maarten Bezemer (veger) wrote :

I have send a patch upstream to fix/improve pbuilder-dist auto completion

Changed in ubuntu-dev-tools (Ubuntu Oneiric):
status: New → Won't Fix
Changed in ubuntu-dev-tools (Ubuntu):
status: Triaged → Fix Committed
Changed in ubuntu-dev-tools:
status: Unknown → Fix Committed
Changed in ubuntu-dev-tools:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-dev-tools - 0.142

---------------
ubuntu-dev-tools (0.142) unstable; urgency=low

  [ Stefano Rivera ]
  * mk-sbuild: Support kmod, when checking for overlayfs availability.
  * pbuilder-dist: improve bash_completion for *.dsc files. Thanks Maarten
    Bezemer. (Closes: #670924, LP: #770529)
  * check-mir, check-symbols, grep-merges, pbuilder-dist-simple,
    setup-packaging-environment, submittodebian, ubuntu-iso:
    Do enough argument parsing to handle --help (LP: #988009)
  * dgetlp: Require a UTF-8 locale, or it'll crash when displaying errors
    (LP: #979117)
  * pbuilder-dist: Don't try to enable -updates for Debian testing
    (LP: #993006)
  * pbuilder-dist, pull-debian-source, pull-lp-source, requestsync,
    reverse-depends, submittodebian, syncpackage:
    Handle outdated distro-info data. Fall back to sane defaults where
    possible. (Closes: #673957)
  * backportpackage: Avoid uploading orig tarballs if they are already present
    in the destination PPA (LP: #691897)
  * Allow mk-sbuild to be run by root if a configuration file exists
    (LP: #888736)
  * backportpackage: Allow unsigned backports (LP: #992739)
  * update-maintainer: Add a function to restore the original maintainer.
    - Update sponsor-patch to use the new API resulting from this change
      (LP: #1002999)
  * submittodebian: Revert Ubuntu Maintainer mangling, and re-build the source
    package before diffing. (LP: #902233)

  [ Evan Broder ]
  * backportpackage: Add -c, --close flag to include a changelog closer.
  * backportpackage: Switch to ~ubuntu12.04.1-style version numbers
    instead of ~precise1, to make our version numbers more future-proof.
  * backportpackage: Pass -v to debuild with last published version
    number. This matches the way backports have traditionally been
    generated by archive admins.

 -- Stefano Rivera <email address hidden> Mon, 28 May 2012 23:35:52 +0100

Changed in ubuntu-dev-tools (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.